/*Carlos Gershenson*/

domains
	al,carr,tes,st,es,sin,vot=string
	totc,credobt,cantpub,congs=integer
	prom=real

predicates
	otbeca(al)
	est(al,carr)
	ciencias(carr)
	totcred(carr,totc)
	credobt(al,credobt)
	prom(al,prom)
	cantpub(al,cantpub)
	partcong(al,congs)
	presexgrado(al)	
	posgrd(carr)
	esttesis(al,tes,es)
	votosaprob(al,tes,sin,vot)
	sttramesc(al,st)
		
clauses
otbeca(X):-est(X,C),
	ciencias(C),
	credobt(X,CO),
	totcred(C,TC),
	CO/TC*100>=60,
	prom(X,PRO),
	PRO>=9.0,
	cantpub(X,PUB),
	PUB>=2,
	partcong(X,CONG),
	CONG>=4.

presexgrado(X):-est(X,C),
	posgrd(C),
	totcred(C,TC),
	credobt(X,CO),
	CO/TC*100=100,
	esttesis(X,T,ES),
	ES="concluida",
	votosaprob(X,T,S1,V1),
	votosaprob(X,T,S2,V2),
	votosaprob(X,T,S3,V3),
	votosaprob(X,T,S4,V4),
	votosaprob(X,T,S5,V5),
	V1="aprobada para su defensa",
	V2="aprobada para su defensa",
	V3="aprobada para su defensa",
	V4="aprobada para su defensa",
	V5="aprobada para su defensa",
	S2<>S1,
	S5<>S1,S5<>S2,S5<>S3,S5<>S4,
	S4<>S1,S4<>S2,S4<>S3,
	S3<>S1,S3<>S2,
	sttramesc(X,ST),
	ST="ok".
	
est("Pancho","Matematicas").
est("Frappe","Contavilidad").
est("Casimiro","Tortillero").
ciencias("Matematicas").
ciencias("Tortillero").
credobt("Pancho",300).
credobt("Frappe",300).
credobt("Casimiro",300).
totcred("Matematicas",300).
totcred("Contavilidad",300).
totcred("Tortillero",300).
prom("Pancho",10.0).
prom("Casimiro",10.0).
cantpub("Pancho",3).
cantpub("Casimiro",3).
partcong("Pancho",5).
partcong("Casimiro",5).
posgrd("Contavilidad").
esttesis("Frappe","Como hacer chanchuyo a hacienda","concluida").
votosaprob("Frappe","Como hacer chanchuyo a hacienda","Pepe","aprobada para su defensa").
votosaprob("Frappe","Como hacer chanchuyo a hacienda","Juana","aprobada para su defensa").
votosaprob("Frappe","Como hacer chanchuyo a hacienda","Panfila","aprobada para su defensa").
votosaprob("Frappe","Como hacer chanchuyo a hacienda","Tadifa","aprobada para su defensa").
votosaprob("Frappe","Como hacer chanchuyo a hacienda","Odiln","aprobada para su defensa").
sttramesc("Frappe","ok").
