/*Carlos Gershenson*/

domains
	
	neu=string
	sal,act,fun,p1,p2,p3,p4,x1,x2,x3,x4,umb=real

database
	pesos(neu,p1,p2,p3,p4)
	entrada(neu,x1,x2,x3,x4)	
	umbral(neu,umb)

predicates
	neurart(neu, sal)
	calcact(neu,act)
	calctrans(neu,act,fun)
	getdata()

goal
	getdata(),
	neurart(N,S),
	write(N," ",S).


clauses
	calcact(X,A):-pesos(X,P1,P2,P3,P4),
		      entrada(X,X1,X2,X3,X4),
		      A=X1*P1+X2*P2+X3*P3+X4*P4.
	calctrans(X,A,F):-umbral(X,U),
			  A>U,F=A;
			  umbral(X,U),
			  A<U,F=0.
	neurart(X,S):-calcact(X,A),
		      calctrans(X,A,F),
		      S=F.
	getdata():-write("Neurona: "),
		     readln(N),nl,
		     write("Umbral: "),
		     readreal(U),nl,
		     write("Peso 1: "),
		     readreal(P1),nl,
		     write("Peso 2: "),
		     readreal(P2),nl,
		     write("Peso 3: "),
		     readreal(P3),nl,
		     write("Peso 4: "),
		     readreal(P4),nl,
		     write("Entrada 1: "),
		     readreal(X1),nl,
		     write("Entrada 2: "),
		     readreal(X2),nl,
		     write("Entrada 3: "),
		     readreal(X3),nl,
		     write("Entrada 4: "),
		     readreal(X4),nl,
		     assertz(umbral(N,U)),
		     assertz(pesos(N,P1,P2,P3,P4)),
		     assertz(entrada(N,X1,X2,X3,X4)).

	
