import java.awt.*;
import java.util.*;
import java.applet.Applet;

class Arista{
    public String i;//pred
    public String j;//suc
    public float w;//peso
}

public class GralRts extends Applet
{
    Vector v = new Vector((int)20,(int)3);//vector de aristas
    Vector arb = new Vector((int)20,(int)3);//vector de la arborescencia de ruta ms corta
    Vector arbw = new Vector((int)20,(int)3);//vector de la arborescencia de ruta ms corta (pesos acumulados)
    Vector cmp = new Vector((int)20,(int)3);//vector del complemento de arb
    Vector cmpw = new Vector((int)20,(int)3);//vector del complemento de arb (pesos acumulados)
    Vector next= new Vector((int)20,(int)3);//vector de las aristas pximas a insertarse en la arborescencia
    Vector nodosya= new Vector((int)20,(int)3);//vector de los nodos ya visitados
    Arista a=new Arista();
    String s,si;
	boolean noconexa=false;

    final int MenuBarHeight = 0;
    // Component Declaration
    public TextField pred;
    public TextField suc;
    public TextField peso;
    public Label Label1;
    public Label Label2;
    public Label Label3;
    public Button addarista;
    public Button kbutton;
    public Button vadenuez;
    public TextArea output;
    // End of Component Declaration

    // init()
    public void init()
    {
        // Frame Initialization
        setForeground(Color.black);
        setBackground(Color.lightGray);
        setFont(new Font("Dialog",Font.BOLD,12));
        setLayout(null);
        // End of Frame Initialization

        // Component Initialization
        pred = new TextField("1");
        pred.setForeground(Color.black);
        pred.setBackground(Color.white);
        pred.setFont(new Font("Dialog",Font.BOLD,12));
        suc = new TextField("2");
        suc.setForeground(Color.black);
        suc.setBackground(Color.white);
        suc.setFont(new Font("Dialog",Font.BOLD,12));
        peso = new TextField("1.0");
        peso.setForeground(Color.black);
        peso.setBackground(Color.white);
        peso.setFont(new Font("Dialog",Font.BOLD,12));
        Label1 = new Label("Predecesor",Label.LEFT);
        Label1.setFont(new Font("Dialog",Font.BOLD,12));
        Label2 = new Label("Sucesor",Label.LEFT);
        Label2.setFont(new Font("Dialog",Font.BOLD,12));
        Label3 = new Label("Peso",Label.LEFT);
        Label3.setFont(new Font("Dialog",Font.BOLD,12));
        addarista = new Button("Agrega Arista");
        addarista.setFont(new Font("Dialog",Font.PLAIN,12));
        kbutton = new Button("Go!");
        kbutton.setFont(new Font("Helvetica",Font.BOLD,90));
        vadenuez = new Button("Reset");
        vadenuez.setFont(new Font("Dialog",Font.PLAIN,12));
        output = new TextArea("Bienvenido al resolvedor intergalctivo de arborescencias de ruta ms corta\ndel honesto Joe...\n");
        output.setForeground(Color.black);
        output.setBackground(Color.white);
        // output.setFont(new Font("Dialog",Font.BOLD,12));
        // End of Component Initialization

        // Add()s
        add(output);
        add(vadenuez);
        add(kbutton);
        add(addarista);
        add(Label3);
        add(Label2);
        add(Label1);
        add(peso);
        add(suc);
        add(pred);
        // End of Add()s

        InitialPositionSet();
    } // End of init()


    void show(Vector vec, String msg){
        int i;
        Arista ar=new Arista();
        output.appendText(msg+"\n");
        for(i=0;i<vec.size();i++){
            ar= (Arista)vec.elementAt(i);
            output.appendText("    ("+ar.i+" , "+ar.j+") = "+String.valueOf(ar.w)+"\n");
        }
    }
    
    void arborscence(){
        int i;
        Arista minw=new Arista(); minw.w=Float.MAX_VALUE;
        for(i=0;i<v.size();i++){
            a= (Arista) v.elementAt(i);
            if ((a.i.equals(s))&&(!nodosya.contains(a.j))){
                next.addElement(a);
            }        
        }
        for(i=0;i<next.size();i++){
            a= (Arista) next.elementAt(i);
            if ((a.w<minw.w)&&(!nodosya.contains(a.j))){
                minw=(Arista)a;
            }
         }
         if (minw.w<Float.MAX_VALUE){
             next.removeElement(minw);
             arb.addElement(minw);
             s=(String)minw.j;
             nodosya.addElement(s);
         }
    }
    
    void dijkstra(){
        int i;
        for(i=0;i<v.size();i++){
            arborscence();
        }
    }
    
    float pesonodo(String n){
        float aux;
        Arista ar;
        if (si.equals(n)){
            return 0;
        }else{
            int i;
            for(i=0;i<arb.size();i++){
                ar= (Arista) arb.elementAt(i);
                if (n.equals(ar.j)){
                    aux=pesonodo (ar.i)+ar.w;
                    return aux;
                }
            }
        }    
        return 0;
    }
    
    void pesosnodos(){
        Arista ar;
        int i;
        for(i=0;i<arb.size();i++){
            a= (Arista) arb.elementAt(i);
            ar=new Arista();
            ar.i=a.i;ar.j=a.j;
            ar.w=pesonodo(a.j);
            arbw.insertElementAt(ar,i);
        }
    }

    void compl(){
        int i;
        for(i=0;i<v.size();i++){
            a= (Arista) v.elementAt(i);
            if (!arb.contains(a)){
                cmp.addElement(a);
            }
        }
    }
    
    void complw(){
        Arista ar;
        int i;
        for(i=0;i<cmp.size();i++){
            ar=new Arista();
            a= (Arista) cmp.elementAt(i);
            ar.i=a.i;ar.j=a.j;
            ar.w= pesonodo(a.i)+a.w;
            cmpw.addElement(ar);
        }
    }
    
	boolean conexa(){
		int i,j,cnt=0;
		String n=si;
		for (i=0;i<arb.size();i++){
			for(j=0;j<arb.size();j++){
				a=(Arista)arb.elementAt(j);
				if (n.equals(a.i)){
					n=a.j;
					cnt++;
				}
			}
		}
		if(cnt<arb.size()){
			noconexa=true;
			return false;
		}
		return true;
	}


    void chido(){
        int i,j,k;
        Arista a1,a2;
        boolean ya= false;
        while(!ya){
            arbw.removeAllElements();
            cmp.removeAllElements();
            cmpw.removeAllElements();
            compl();
            pesosnodos();
            complw();
            show(arb, "Arborescencia:");
            show(arbw, "Arborescencia pesada:");
            show(cmpw, "cmp pesado:");
            ya=true;
            for (i=0;i<arbw.size();i++){
                a1=(Arista)arbw.elementAt(i);
                for (j=0;j<cmpw.size();j++){
                    a2=(Arista)cmpw.elementAt(j);
                    if ((a2.w<a1.w)&&(a1.j.equals(a2.j))){
                        ya=false;
                        for(k=0;k<arb.size();k++){
                            a=(Arista)arb.elementAt(k);
                            if ((a1.i.equals(a.i))&&(a1.j.equals(a.j))){
                                a1=a;
                            }
                        }
                        for(k=0;k<cmp.size();k++){
                            a=(Arista)cmp.elementAt(k);
                            if ((a2.i.equals(a.i))&&(a2.j.equals(a.j))){
                                a2=a;
                            }
                        }
                        arb.addElement(a2);
                        cmp.addElement(a1);
                        arb.removeElement(a1);
                        cmp.removeElement(a2);
                        if (!conexa()){
                            output.appendText("No hay solucion! (la arborescencia se parti)\n");
                            ya=true;				
                        }
                    }
                }
            }
        }
    }



    public boolean action(Event event, Object what) {
        boolean ok=true;
        if (event.target instanceof Button) {
            Button b = (Button) event.target;
            if (b.getLabel() == "Agrega Arista"){
                a= new Arista();
                try{
                    a.w=Float.valueOf(peso.getText()).floatValue();
                }
                catch(NumberFormatException e){
                  output.appendText("Fijate!\n");
                  ok=false;
                }
                if (ok){
                    a.i=pred.getText();
                    a.j=suc.getText();
                    if (v.size()==(int)0){
                        s= new String();
                        si= new String();
                        s= (String)a.i;
                        si= (String)a.i;
                        output.appendText("Nodo base: "+a.i+"\n");
                        nodosya.addElement(s);
                    }
                    v.addElement(a);
                    output.appendText("Arista agregada: ("+a.i+" , "+a.j+") = "+String.valueOf(a.w)+"\n");
                }
                  
            }
            else  if (b.getLabel() == "Reset") {
                reset();
            }
            else  if (b.getLabel() == "Go!") {
                show(v, "Aristas...");
                dijkstra();
                show(arb, "Arborescencia inicial (ms chido quel Dijkstra):");
                chido();
				if (!noconexa){
					show(arbw,"Arborescencia de ruta ms corta:");
				}
                reset();
            }
        }
        return true;
    }

    void reset(){
                v.removeAllElements();
                arb.removeAllElements();
                arbw.removeAllElements();
                cmp.removeAllElements();
                cmpw.removeAllElements();
                next.removeAllElements();
                nodosya.removeAllElements();
				noconexa=false;
                output.appendText("Va de nuez...\n");
    }

    public void InitialPositionSet(){
        // InitialPositionSet()
        resize(492,314);
        pred.reshape(120,17+MenuBarHeight,121,27);
        suc.reshape(120,48+MenuBarHeight,121,27);
        peso.reshape(120,80+MenuBarHeight,121,27);
        Label1.reshape(16,23+MenuBarHeight,95,19);
        Label2.reshape(38,53+MenuBarHeight,83,19);
        Label3.reshape(61,83+MenuBarHeight,51,19);
        addarista.reshape(120,114+MenuBarHeight,118,25);
        kbutton.reshape(248,15+MenuBarHeight,225,126);
        vadenuez.reshape(30,114+MenuBarHeight,80,25);
        output.reshape(14,153+MenuBarHeight,460,142);
        // End of InitialPositionSet()
    }

    public boolean handleEvent(Event evt){
        // handleEvent()
        if (evt.id == Event.WINDOW_DESTROY && evt.target == this) noname01_WindowDestroy(evt.target);
        // End of handleEvent()
        return super.handleEvent(evt);
    }

    // Event Handling Routines
    public void noname01_WindowDestroy(Object target){
        System.exit(0);
    }
    // End of Event Handling Routines

}

